Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.remoting.jaxrpc
Class JaxRpcSoapFaultException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.remoting.RemoteAccessException
                          org.springframework.remoting.RemoteInvocationFailureException
                              org.springframework.remoting.soap.SoapFaultException
                                  org.springframework.remoting.jaxrpc.JaxRpcSoapFaultException

All Implemented Interfaces:
  Serializable

Deprecated. in favor of JAX-WS support in `org.springframework.remoting.jaxws`

    @Deprecated
    public class JaxRpcSoapFaultException

extends SoapFaultException

Spring SoapFaultException adapter for the JAX-RPC `SOAPFaultException` class.

Since:
  2.5
Author:
  Juergen Hoeller
See Also:
  Serialized Form

Constructor Summary
`JaxRpcSoapFaultException(SOAPFaultException original)` Deprecated. Constructor for JaxRpcSoapFaultException.

Method Summary
`String` | `getFaultActor()` Deprecated. Return the actor that caused this fault.
`String` | `getFaultCode()` Deprecated. Return the SOAP fault code.
`QName` | `getFaultCodeAsQName()` Deprecated. Return the SOAP fault code as a `QName` object.
`String` | `getFaultString()` Deprecated. Return the descriptive SOAP fault string.
`SOAPFaultException` | `getOriginalException()` Deprecated. Return the wrapped JAX-RPC SOAPFaultException.

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JaxRpcSoapFaultException

    public JaxRpcSoapFaultException(SOAPFaultException original)

  Deprecated.
  Constructor for JaxRpcSoapFaultException.

  Parameters:
    `original` - the original JAX-RPC SOAPFaultException to wrap

Method Detail

### getOriginalException

    public final SOAPFaultException getOriginalException()

  Deprecated.
  Return the wrapped JAX-RPC SOAPFaultException.

### getFaultCode

    public String getFaultCode()

  Deprecated.
  Description copied from class: `SoapFaultException`
  Return the SOAP fault code.

  Specified by:
    `getFaultCode` in class `SoapFaultException`

### getFaultCodeAsQName

    public QName getFaultCodeAsQName()

  Deprecated.
  Description copied from class: `SoapFaultException`
  Return the SOAP fault code as a `QName` object.

  Specified by:
    `getFaultCodeAsQName` in class `SoapFaultException`

### getFaultString

    public String getFaultString()

  Deprecated.
  Description copied from class: `SoapFaultException`
  Return the descriptive SOAP fault string.

  Specified by:
    `getFaultString` in class `SoapFaultException`

### getFaultActor

    public String getFaultActor()

  Deprecated.
  Description copied from class: `SoapFaultException`
  Return the actor that caused this fault.

  Specified by:
    `getFaultActor` in class `SoapFaultException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD